langStrings["en"] = new Array();
langStrings["en"].language = "English";
langStrings["en"].flagUrl = "img/en.gif";
langStrings["en"].title = "Memory Fragmentation";
langStrings["en"].intfrag = "Internal Fragmentation";
langStrings["en"].extfrag = "External Fragmentation";
langStrings["en"].next_button = "Next";
langStrings["en"].prev_button = "Previous";
langStrings["en"].home_button = "Home Page";
langStrings["en"].developers = "Developers";
langStrings["en"].document_title = "OER - Group 5 - Memory Fragmentation";
langStrings["en"].img_1 = "presentation/intfrag/img/en/0.jpg";
langStrings["en"].img_2 = "presentation/intfrag/img/en/1.jpg";
langStrings["en"].img_3 = "presentation/intfrag/img/en/2.jpg";
langStrings["en"].img_4 = "presentation/intfrag/img/en/3.jpg";
langStrings["en"].img_5 = "presentation/intfrag/img/en/4.jpg";
langStrings["en"].img_6 = "presentation/extfrag/img/en/0.jpg";
langStrings["en"].img_7 = "presentation/extfrag/img/en/1.jpg";
langStrings["en"].img_8 = "presentation/extfrag/img/en/2.jpg";
langStrings["en"].img_9 = "presentation/extfrag/img/en/3.jpg";
langStrings["en"].img_10 = "presentation/extfrag/img/en/4.jpg";
langStrings["en"].img_11 = "presentation/extfrag/img/en/5.jpg";
langStrings["en"].lang_1 = "Welcome to OER of memory fragmentation!";
langStrings["en"].lang_2 = "Choose a fragmentation category above.";
langStrings["en"].lang_3 = "To explain the external fragmentation we will consider the memory in the following initial state:";
langStrings["en"].lang_4 = "After using the memory, the process C removes itself from the memory, leaving a free space that was used by it.";
langStrings["en"].lang_5 = "After the withdraw of the process C  there will be two fragments of free memory, one of 10KB and other with 6KB.";
langStrings["en"].lang_6 = "A process E needs 12KB of memory to allocate itself. As we can see, this space can't be found in the memory in an adjoining way, configuring a external fragmentation.";
langStrings["en"].lang_7 = "To solve the problem, there are algorithms which can group the segments closer to the others (compactation), leaving the free space adjoined.";
langStrings["en"].lang_8 = "After the memory compactation, the process E could be allocated.";
langStrings["en"].lang_9 = "To explain the internal fragmentation we will consider the memory with 10KB blocks:";
langStrings["en"].lang_10 = "Consider that a process A which uses 8KB of memory must be allocated.";
langStrings["en"].lang_11 = "The process A is allocated to the first free block found. Now a process B which uses 10KB of memory must be allocated as well.";
langStrings["en"].lang_12 = "The process B is allocated to the first free block found. We notice there is a unused memory space between process A and B. This space could not be used to allocate the process B, since blocks are the memory transfer unit, therefore this space became wasted, configuring internal fragmentation.";
langStrings["en"].lang_13 = "The solution to avoid waste of memory caused by this fragmentation is the size reduction of the memory blocks. Using 2KB blocks, in our example, there was no waste of memory.";
langStrings["en"].about_title = "About";
langStrings["en"].about_text = "This OER was developed to teach the concepts of internal and external memory fragmentation. The development proposal was made on the subject Operational Systems I, taught by Prof. Dr. Paulo Sérgio Lopes de Souza at Universidade de São Paulo, São Carlos campus to the course of Computer Engineering, which is offered jointly by the Escola de Engenharia de São Carlos (EESC) and the Instituto de Ciências Matemáticas e de Computação (ICMC).";
